<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>commands-bash-n-node</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
</head>
<body>
<h1 id="resources">Resources:</h1>
<ul>
<li><a href="https://gist.github.com/bgoonz/df74dfa73bb5edd239ac738a14104eee">holy grail</a></li>
</ul>
<h1 id="remove-spaces-from-file-and-folder-names-and-then-remove-numbers-from-files-and-folder-names.">1. Remove spaces from file and folder names and then remove numbers from files and folder names….</h1>
<h3 id="description-need-to-sudo-apt-install-rename">Description: need to : <code>sudo apt install rename</code></h3>
<blockquote>
<p>Notes: Issue when renaming file without numbers collides with existing file name…</p>
</blockquote>
<h6 id="code">code:</h6>
<div class="sourceCode" id="cb1"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="fu">find</span> . -name <span class="st">&quot;* *&quot;</span> -type d <span class="kw">|</span> <span class="ex">rename</span> <span class="st">&#39;s/ /_/g&#39;</span>   </a>
<a class="sourceLine" id="cb1-2" title="2"><span class="fu">find</span> . -name <span class="st">&quot;* *&quot;</span> -type f <span class="kw">|</span> <span class="ex">rename</span> <span class="st">&#39;s/ /_/g&#39;</span></a></code></pre></div>
<p>```sh</p>
<p>```sh find $dir -type f | sed ’s|(.<em>/)[^A-Z]</em>([A-Z].*)|mv "&amp;" "\1\2"|’ | sh</p>
<p>find $dir -type d | sed ’s|(.<em>/)[^A-Z]</em>([A-Z].*)|mv "&amp;" "\1\2"|’ | sh</p>
<p>for i in <em>.html; do mv "<span class="math inline">$i" "$</span>{i%-</em>}.html"; done</p>
<p>for i in <em>.</em>; do mv “<span class="math inline">$i" "$</span>{i%-<em>}.${i##</em>.}”; done</p>
<h1 id="download-website-using-wget">2. Download Website Using Wget:</h1>
<h3 id="description">Description:</h3>
<blockquote>
<p>Notes: ==&gt; sudo apt install wget</p>
</blockquote>
<h6 id="code-1">code:</h6>
<div class="sourceCode" id="cb2"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb2-1" title="1"></a>
<a class="sourceLine" id="cb2-2" title="2"><span class="fu">wget</span> --limit-rate=200k --no-clobber --convert-links --random-wait -r -p -E -e robots=off -U mozilla https://bootcamp42.gitbook.io/python/</a></code></pre></div>
<h1 id="clone-all-of-a-users-git-repositories">4. clone all of a user’s git repositories</h1>
<h3 id="description-clone-all-of-a-user-or-organizations-git-repositories.">Description: clone all of a user or organization’s git repositories.</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-2">code:</h6>
<h1 id="generalized">Generalized:</h1>
<div class="sourceCode" id="cb3"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb3-1" title="1"></a>
<a class="sourceLine" id="cb3-2" title="2"></a>
<a class="sourceLine" id="cb3-3" title="3"></a>
<a class="sourceLine" id="cb3-4" title="4"><span class="va">CNTX=</span><span class="dt">{users|orgs}</span>; <span class="va">NAME=</span><span class="dt">{username|orgname}</span>; <span class="va">PAGE=</span>1</a>
<a class="sourceLine" id="cb3-5" title="5"><span class="ex">curl</span> <span class="st">&quot;https://api.github.com/</span><span class="va">$CNTX</span><span class="st">/</span><span class="va">$NAME</span><span class="st">/repos?page=</span><span class="va">$PAGE</span><span class="st">&amp;per_page=100&quot;</span> <span class="kw">|</span></a>
<a class="sourceLine" id="cb3-6" title="6">  <span class="fu">grep</span> -e <span class="st">&#39;git_url*&#39;</span> <span class="kw">|</span></a>
<a class="sourceLine" id="cb3-7" title="7">  <span class="fu">cut</span> -d <span class="dt">\&quot;</span> -f 4 <span class="kw">|</span></a>
<a class="sourceLine" id="cb3-8" title="8">  <span class="fu">xargs</span> -L1 git clone</a></code></pre></div>
<h1 id="clone-all-git-user">Clone all Git User</h1>
<div class="sourceCode" id="cb4"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb4-1" title="1"><span class="va">CNTX=</span><span class="dt">{users}</span>; <span class="va">NAME=</span><span class="dt">{bgoonz}</span>; <span class="va">PAGE=</span>1</a>
<a class="sourceLine" id="cb4-2" title="2"><span class="ex">curl</span> <span class="st">&quot;https://api.github.com/</span><span class="va">$CNTX</span><span class="st">/</span><span class="va">$NAME</span><span class="st">/repos?page=</span><span class="va">$PAGE</span><span class="st">&amp;per_page=200&quot;</span>?branch=master <span class="kw">|</span></a>
<a class="sourceLine" id="cb4-3" title="3">  <span class="fu">grep</span> -e <span class="st">&#39;git_url*&#39;</span> <span class="kw">|</span></a>
<a class="sourceLine" id="cb4-4" title="4">  <span class="fu">cut</span> -d <span class="dt">\&quot;</span> -f 4 <span class="kw">|</span></a>
<a class="sourceLine" id="cb4-5" title="5">  <span class="fu">xargs</span> -L1 git clone</a>
<a class="sourceLine" id="cb4-6" title="6"></a></code></pre></div>
<h1 id="clone-all-git-organization">Clone all Git Organization:</h1>
<div class="sourceCode" id="cb5"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb5-1" title="1"></a>
<a class="sourceLine" id="cb5-2" title="2"><span class="va">CNTX=</span><span class="dt">{organizations}</span>; <span class="va">NAME=</span><span class="dt">{TheAlgorithms}</span>; <span class="va">PAGE=</span>1</a>
<a class="sourceLine" id="cb5-3" title="3"><span class="ex">curl</span> <span class="st">&quot;https://api.github.com/</span><span class="va">$CNTX</span><span class="st">/</span><span class="va">$NAME</span><span class="st">/repos?page=</span><span class="va">$PAGE</span><span class="st">&amp;per_page=200&quot;</span>?branch=master <span class="kw">|</span></a>
<a class="sourceLine" id="cb5-4" title="4">  <span class="fu">grep</span> -e <span class="st">&#39;git_url*&#39;</span> <span class="kw">|</span></a>
<a class="sourceLine" id="cb5-5" title="5">  <span class="fu">cut</span> -d <span class="dt">\&quot;</span> -f 4 <span class="kw">|</span></a>
<a class="sourceLine" id="cb5-6" title="6">  <span class="fu">xargs</span> -L1 git clone</a>
<a class="sourceLine" id="cb5-7" title="7"></a></code></pre></div>
<h1 id="recursive-unzip-in-place">6. Recursive Unzip In Place</h1>
<h3 id="description-recursively-unzips-folders-and-then-deletes-the-zip-file-by-the-same-name.">Description: recursively unzips folders and then deletes the zip file by the same name.</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-3">code:</h6>
<div class="sourceCode" id="cb6"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb6-1" title="1"></a>
<a class="sourceLine" id="cb6-2" title="2"><span class="fu">find</span> . -name <span class="st">&quot;*.zip&quot;</span> <span class="kw">|</span> <span class="kw">while</span> <span class="bu">read</span> <span class="va">filename</span>; <span class="kw">do</span> <span class="fu">unzip</span> -o -d <span class="st">&quot;</span><span class="kw">`</span><span class="fu">dirname</span> <span class="st">&quot;</span><span class="va">$filename</span><span class="st">&quot;</span><span class="kw">`</span><span class="st">&quot;</span> <span class="st">&quot;</span><span class="va">$filename</span><span class="st">&quot;</span><span class="kw">;</span> <span class="kw">done</span>;</a>
<a class="sourceLine" id="cb6-3" title="3"></a>
<a class="sourceLine" id="cb6-4" title="4"></a>
<a class="sourceLine" id="cb6-5" title="5"></a>
<a class="sourceLine" id="cb6-6" title="6"><span class="fu">find</span> . -name <span class="st">&quot;*.zip&quot;</span> -type f -print -delete</a></code></pre></div>
<h1 id="prettier-code-formatter">8. Prettier Code Formatter:</h1>
<h3 id="description-1">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-4">code:</h6>
<div class="sourceCode" id="cb7"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb7-1" title="1"></a>
<a class="sourceLine" id="cb7-2" title="2"><span class="fu">sudo</span> npm i prettier -g</a>
<a class="sourceLine" id="cb7-3" title="3"></a>
<a class="sourceLine" id="cb7-4" title="4"><span class="ex">prettier</span> --write .</a>
<a class="sourceLine" id="cb7-5" title="5"></a>
<a class="sourceLine" id="cb7-6" title="6"></a></code></pre></div>
<h1 id="gitpod-installs">10. Gitpod Installs</h1>
<h3 id="description-2">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-5">code:</h6>
<div class="sourceCode" id="cb8"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb8-1" title="1"><span class="fu">sudo</span> apt install tree </a>
<a class="sourceLine" id="cb8-2" title="2"><span class="fu">sudo</span> apt install pandoc -y</a>
<a class="sourceLine" id="cb8-3" title="3"><span class="fu">sudo</span> apt install rename -y</a>
<a class="sourceLine" id="cb8-4" title="4"><span class="fu">sudo</span> apt install black -y</a>
<a class="sourceLine" id="cb8-5" title="5"><span class="fu">sudo</span> apt install wget -y</a>
<a class="sourceLine" id="cb8-6" title="6"><span class="ex">npm</span> i lebab -g</a>
<a class="sourceLine" id="cb8-7" title="7"><span class="ex">npm</span> i prettier -g</a>
<a class="sourceLine" id="cb8-8" title="8"><span class="ex">npm</span> i npm-recursive-install -g</a>
<a class="sourceLine" id="cb8-9" title="9"></a></code></pre></div>
<div class="sourceCode" id="cb9"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb9-1" title="1"><span class="ex">black</span> .</a>
<a class="sourceLine" id="cb9-2" title="2"></a>
<a class="sourceLine" id="cb9-3" title="3"><span class="ex">prettier</span> --write .</a>
<a class="sourceLine" id="cb9-4" title="4"><span class="ex">npm-recursive-install</span></a></code></pre></div>
<h1 id="unix-tree-package-usage">12. Unix Tree Package Usage:</h1>
<h3 id="description-3">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-6">code:</h6>
<div class="sourceCode" id="cb10"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb10-1" title="1"><span class="ex">tree</span> -d -I  <span class="st">&#39;node_modules&#39;</span></a>
<a class="sourceLine" id="cb10-2" title="2"></a>
<a class="sourceLine" id="cb10-3" title="3"><span class="ex">tree</span>  -I  <span class="st">&#39;node_modules&#39;</span></a>
<a class="sourceLine" id="cb10-4" title="4"></a>
<a class="sourceLine" id="cb10-5" title="5"><span class="ex">tree</span> -f  -I  <span class="st">&#39;node_modules&#39;</span> <span class="op">&gt;</span>TREE.md</a>
<a class="sourceLine" id="cb10-6" title="6"></a>
<a class="sourceLine" id="cb10-7" title="7"><span class="ex">tree</span> -f -L 2  <span class="op">&gt;</span>README.md</a>
<a class="sourceLine" id="cb10-8" title="8"></a>
<a class="sourceLine" id="cb10-9" title="9"><span class="ex">tree</span> -f  -I  <span class="st">&#39;node_modules&#39;</span> <span class="op">&gt;</span>listing-path.md</a>
<a class="sourceLine" id="cb10-10" title="10"></a>
<a class="sourceLine" id="cb10-11" title="11"></a>
<a class="sourceLine" id="cb10-12" title="12"><span class="ex">tree</span> -f  -I  <span class="st">&#39;node_modules&#39;</span> -d <span class="op">&gt;</span>TREE.md</a>
<a class="sourceLine" id="cb10-13" title="13"></a>
<a class="sourceLine" id="cb10-14" title="14"><span class="ex">tree</span> -f <span class="op">&gt;</span>README.md</a></code></pre></div>
<h1 id="remove-double-extensions">14. Remove double extensions :</h1>
<h3 id="description-4">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-7">code:</h6>
<div class="sourceCode" id="cb11"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb11-1" title="1"><span class="co">#!/bin/bash</span></a>
<a class="sourceLine" id="cb11-2" title="2"></a>
<a class="sourceLine" id="cb11-3" title="3"><span class="kw">for</span> <span class="fu">file</span> in *.md.md</a>
<a class="sourceLine" id="cb11-4" title="4"><span class="kw">do</span></a>
<a class="sourceLine" id="cb11-5" title="5">    <span class="fu">mv</span> <span class="st">&quot;</span><span class="va">${file}</span><span class="st">&quot;</span> <span class="st">&quot;</span><span class="va">${file%</span>.md<span class="va">}</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb11-6" title="6"><span class="kw">done</span></a>
<a class="sourceLine" id="cb11-7" title="7"></a>
<a class="sourceLine" id="cb11-8" title="8"><span class="co">#!/bin/bash</span></a>
<a class="sourceLine" id="cb11-9" title="9"></a>
<a class="sourceLine" id="cb11-10" title="10"><span class="kw">for</span> <span class="fu">file</span> in *.html.html</a>
<a class="sourceLine" id="cb11-11" title="11"><span class="kw">do</span></a>
<a class="sourceLine" id="cb11-12" title="12">    <span class="fu">mv</span> <span class="st">&quot;</span><span class="va">${file}</span><span class="st">&quot;</span> <span class="st">&quot;</span><span class="va">${file%</span>.html<span class="va">}</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb11-13" title="13"><span class="kw">done</span></a></code></pre></div>
<div class="sourceCode" id="cb12"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb12-1" title="1"></a>
<a class="sourceLine" id="cb12-2" title="2"></a>
<a class="sourceLine" id="cb12-3" title="3"><span class="co">#!/bin/bash</span></a>
<a class="sourceLine" id="cb12-4" title="4"></a>
<a class="sourceLine" id="cb12-5" title="5"><span class="kw">for</span> <span class="fu">file</span> in *.html.png</a>
<a class="sourceLine" id="cb12-6" title="6"><span class="kw">do</span></a>
<a class="sourceLine" id="cb12-7" title="7">    <span class="fu">mv</span> <span class="st">&quot;</span><span class="va">${file}</span><span class="st">&quot;</span> <span class="st">&quot;</span><span class="va">${file%</span>.png<span class="va">}</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb12-8" title="8"><span class="kw">done</span></a>
<a class="sourceLine" id="cb12-9" title="9"></a>
<a class="sourceLine" id="cb12-10" title="10"><span class="kw">for</span> <span class="fu">file</span> in *.jpg.jpg</a>
<a class="sourceLine" id="cb12-11" title="11"><span class="kw">do</span></a>
<a class="sourceLine" id="cb12-12" title="12">    <span class="fu">mv</span> <span class="st">&quot;</span><span class="va">${file}</span><span class="st">&quot;</span> <span class="st">&quot;</span><span class="va">${file%</span>.png<span class="va">}</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb12-13" title="13"><span class="kw">done</span></a></code></pre></div>
<h1 id="appendir.js">16.Appendir.js</h1>
<h3 id="description-combine-the-contents-of-every-file-in-the-contaning-directory.">Description: combine the contents of every file in the contaning directory.</h3>
<blockquote>
<p>Notes: this includes the contents of the file it’s self…</p>
</blockquote>
<h6 id="code-8">code:</h6>
<div class="sourceCode" id="cb13"><pre class="sourceCode js"><code class="sourceCode javascript"><a class="sourceLine" id="cb13-1" title="1"><span class="co">//APPEND-DIR.js</span></a>
<a class="sourceLine" id="cb13-2" title="2"><span class="kw">const</span> fs <span class="op">=</span> <span class="at">require</span>(<span class="st">&#39;fs&#39;</span>)<span class="op">;</span></a>
<a class="sourceLine" id="cb13-3" title="3"><span class="kw">let</span> cat <span class="op">=</span> <span class="at">require</span>(<span class="st">&#39;child_process&#39;</span>)</a>
<a class="sourceLine" id="cb13-4" title="4">  .<span class="at">execSync</span>(<span class="st">&#39;cat *&#39;</span>)</a>
<a class="sourceLine" id="cb13-5" title="5">  .<span class="at">toString</span>(<span class="st">&#39;UTF-8&#39;</span>)<span class="op">;</span></a>
<a class="sourceLine" id="cb13-6" title="6"><span class="va">fs</span>.<span class="at">writeFile</span>(<span class="st">&#39;output.md&#39;</span><span class="op">,</span> cat<span class="op">,</span> err <span class="kw">=&gt;</span> <span class="op">{</span></a>
<a class="sourceLine" id="cb13-7" title="7">  <span class="cf">if</span> (err) <span class="cf">throw</span> err<span class="op">;</span></a>
<a class="sourceLine" id="cb13-8" title="8"><span class="op">}</span>)<span class="op">;</span></a>
<a class="sourceLine" id="cb13-9" title="9"></a></code></pre></div>
<h1 id="filter-delete-files-by-name-and-extension">18. Filter &amp; delete files by name and extension</h1>
<h3 id="description-5">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-9">code:</h6>
<div class="sourceCode" id="cb14"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb14-1" title="1"><span class="fu">find</span> . -name <span class="st">&#39;.bin&#39;</span> -type d -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-2" title="2"></a>
<a class="sourceLine" id="cb14-3" title="3"><span class="fu">find</span> . -name <span class="st">&#39;*.html&#39;</span> -type d -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-4" title="4"></a>
<a class="sourceLine" id="cb14-5" title="5"><span class="fu">find</span> . -name <span class="st">&#39;nav-index&#39;</span> -type d -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-6" title="6"></a>
<a class="sourceLine" id="cb14-7" title="7"><span class="fu">find</span> . -name <span class="st">&#39;node-gyp&#39;</span> -type d -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-8" title="8"></a>
<a class="sourceLine" id="cb14-9" title="9"><span class="fu">find</span> . -name <span class="st">&#39;deleteme.txt&#39;</span> -type f -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-10" title="10"></a>
<a class="sourceLine" id="cb14-11" title="11"><span class="fu">find</span> . -name <span class="st">&#39;right.html&#39;</span> -type f -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a>
<a class="sourceLine" id="cb14-12" title="12"></a>
<a class="sourceLine" id="cb14-13" title="13"><span class="fu">find</span> . -name <span class="st">&#39;left.html&#39;</span> -type f -prune -exec rm -rf <span class="st">&#39;{}&#39;</span> +</a></code></pre></div>
<h1 id="remove-duplicate-lines-from-a-text-file">20. Remove duplicate lines from a text file</h1>
<h3 id="description-6">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-10">code:</h6>
<div class="sourceCode" id="cb15"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb15-1" title="1"><span class="fu">sudo</span> apt install uniq</a>
<a class="sourceLine" id="cb15-2" title="2"><span class="fu">uniq</span> -u input.txt output.txt</a></code></pre></div>
<h1 id="zip-directory-excluding-.git-and-node_modules-all-the-way-down-linux">22. Zip directory excluding .git and node_modules all the way down (Linux)</h1>
<h3 id="description-7">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-11">code:</h6>
<div class="sourceCode" id="cb16"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb16-1" title="1"></a>
<a class="sourceLine" id="cb16-2" title="2"></a>
<a class="sourceLine" id="cb16-3" title="3"><span class="co">#!/bin/bash</span></a>
<a class="sourceLine" id="cb16-4" title="4"><span class="va">TSTAMP=</span><span class="kw">`</span><span class="fu">date</span> <span class="st">&#39;+%Y%m%d-%H%M%S&#39;</span><span class="kw">`</span></a>
<a class="sourceLine" id="cb16-5" title="5"><span class="fu">zip</span> -r <span class="va">$1</span>.<span class="va">$TSTAMP</span>.zip <span class="va">$1</span> -x <span class="st">&quot;**.git/*&quot;</span> -x <span class="st">&quot;**node_modules/*&quot;</span> <span class="kw">`</span><span class="bu">shift</span><span class="kw">;</span> <span class="bu">echo</span> <span class="va">$@</span><span class="kw">;`</span></a>
<a class="sourceLine" id="cb16-6" title="6"></a>
<a class="sourceLine" id="cb16-7" title="7"><span class="bu">printf</span> <span class="st">&quot;\nCreated: </span><span class="va">$1</span><span class="st">.</span><span class="va">$TSTAMP</span><span class="st">.zip\n&quot;</span></a>
<a class="sourceLine" id="cb16-8" title="8"></a>
<a class="sourceLine" id="cb16-9" title="9"><span class="co"># usage: </span></a>
<a class="sourceLine" id="cb16-10" title="10"><span class="co"># - zipdir thedir</span></a>
<a class="sourceLine" id="cb16-11" title="11"><span class="co"># - zip thedir -x &quot;**anotherexcludedsubdir/*&quot;    (important the double quotes to prevent glob expansion)</span></a>
<a class="sourceLine" id="cb16-12" title="12"></a>
<a class="sourceLine" id="cb16-13" title="13"><span class="co"># if in windows/git-bash, add &#39;zip&#39; command this way: </span></a>
<a class="sourceLine" id="cb16-14" title="14"><span class="co"># https://stackoverflow.com/a/55749636/1482990</span></a>
<a class="sourceLine" id="cb16-15" title="15"></a></code></pre></div>
<h1 id="section">24.</h1>
<h3 id="description-8">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-12">code:</h6>
<div class="sourceCode" id="cb17"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb17-1" title="1"></a>
<a class="sourceLine" id="cb17-2" title="2"><span class="co">#!/bin/sh</span></a>
<a class="sourceLine" id="cb17-3" title="3"></a>
<a class="sourceLine" id="cb17-4" title="4"><span class="co"># find ./ | grep -i &quot;\.*$&quot; &gt;files</span></a>
<a class="sourceLine" id="cb17-5" title="5"><span class="fu">find</span> ./ <span class="kw">|</span> <span class="fu">sed</span> -E -e <span class="st">&#39;s/([^ ]+[ ]+){8}//&#39;</span> <span class="kw">|</span> <span class="fu">grep</span> -i <span class="st">&quot;\.*$&quot;</span><span class="op">&gt;</span>files</a>
<a class="sourceLine" id="cb17-6" title="6"><span class="va">listing=</span><span class="st">&quot;files&quot;</span></a>
<a class="sourceLine" id="cb17-7" title="7"></a>
<a class="sourceLine" id="cb17-8" title="8"><span class="va">out=</span><span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-9" title="9"></a>
<a class="sourceLine" id="cb17-10" title="10"><span class="va">html=</span><span class="st">&quot;sitemap.html&quot;</span></a>
<a class="sourceLine" id="cb17-11" title="11"><span class="va">out=</span><span class="st">&quot;basename </span><span class="va">$out</span><span class="st">.html&quot;</span></a>
<a class="sourceLine" id="cb17-12" title="12"><span class="va">html=</span><span class="st">&quot;sitemap.html&quot;</span></a>
<a class="sourceLine" id="cb17-13" title="13"><span class="fu">cmd()</span> <span class="kw">{</span></a>
<a class="sourceLine" id="cb17-14" title="14"></a>
<a class="sourceLine" id="cb17-15" title="15">  <span class="bu">echo</span> <span class="st">&#39;  &lt;!DOCTYPE html&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-16" title="16">  <span class="bu">echo</span> <span class="st">&#39;&lt;html&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-17" title="17">  <span class="bu">echo</span> <span class="st">&#39;&lt;head&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-18" title="18"></a>
<a class="sourceLine" id="cb17-19" title="19">  <span class="bu">echo</span> <span class="st">&#39;  &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html&quot;&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-20" title="20"></a>
<a class="sourceLine" id="cb17-21" title="21">  <span class="bu">echo</span> <span class="st">&#39;  &lt;meta name=&quot;Author&quot; content=&quot;Bryan Guner&quot;&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-22" title="22">  <span class="bu">echo</span> <span class="st">&#39;&lt;link rel=&quot;stylesheet&quot; href=&quot;./assets/prism.css&quot;&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-23" title="23">  <span class="bu">echo</span> <span class="st">&#39; &lt;link rel=&quot;stylesheet&quot; href=&quot;./assets/style.css&quot;&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-24" title="24">  <span class="bu">echo</span> <span class="st">&#39; &lt;script async defer src=&quot;./assets/prism.js&quot;&gt;&lt;/script&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-25" title="25"></a>
<a class="sourceLine" id="cb17-26" title="26">  <span class="bu">echo</span> <span class="st">&quot;  &lt;title&gt; directory &lt;/title&gt;&quot;</span></a>
<a class="sourceLine" id="cb17-27" title="27"></a>
<a class="sourceLine" id="cb17-28" title="28">  <span class="bu">echo</span> <span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-29" title="29">  <span class="bu">echo</span> <span class="st">&#39;&lt;style&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-30" title="30"></a>
<a class="sourceLine" id="cb17-31" title="31"></a>
<a class="sourceLine" id="cb17-32" title="32"><span class="bu">echo</span> <span class="st">&#39;    a {&#39;</span></a>
<a class="sourceLine" id="cb17-33" title="33"><span class="bu">echo</span> <span class="st">&#39;      color: black;&#39;</span></a>
<a class="sourceLine" id="cb17-34" title="34"><span class="bu">echo</span> <span class="st">&#39;    }&#39;</span></a>
<a class="sourceLine" id="cb17-35" title="35"><span class="bu">echo</span> <span class="st">&#39;&#39;</span></a>
<a class="sourceLine" id="cb17-36" title="36"><span class="bu">echo</span> <span class="st">&#39;    li {&#39;</span></a>
<a class="sourceLine" id="cb17-37" title="37"><span class="bu">echo</span> <span class="st">&#39;      border: 1px solid black !important;&#39;</span></a>
<a class="sourceLine" id="cb17-38" title="38"><span class="bu">echo</span> <span class="st">&#39;      font-size: 20px;&#39;</span></a>
<a class="sourceLine" id="cb17-39" title="39"><span class="bu">echo</span> <span class="st">&#39;      letter-spacing: 0px;&#39;</span></a>
<a class="sourceLine" id="cb17-40" title="40"><span class="bu">echo</span> <span class="st">&#39;      font-weight: 700;&#39;</span></a>
<a class="sourceLine" id="cb17-41" title="41"><span class="bu">echo</span> <span class="st">&#39;      line-height: 16px;&#39;</span></a>
<a class="sourceLine" id="cb17-42" title="42"><span class="bu">echo</span> <span class="st">&#39;      text-decoration: none !important;&#39;</span></a>
<a class="sourceLine" id="cb17-43" title="43"><span class="bu">echo</span> <span class="st">&#39;      text-transform: uppercase;&#39;</span></a>
<a class="sourceLine" id="cb17-44" title="44"><span class="bu">echo</span> <span class="st">&#39;      background: #194ccdaf !important;&#39;</span></a>
<a class="sourceLine" id="cb17-45" title="45"><span class="bu">echo</span> <span class="st">&#39;      color: black !important;&#39;</span></a>
<a class="sourceLine" id="cb17-46" title="46"><span class="bu">echo</span> <span class="st">&#39;      border: none;&#39;</span></a>
<a class="sourceLine" id="cb17-47" title="47"><span class="bu">echo</span> <span class="st">&#39;      cursor: pointer;&#39;</span></a>
<a class="sourceLine" id="cb17-48" title="48"><span class="bu">echo</span> <span class="st">&#39;      justify-content: center;&#39;</span></a>
<a class="sourceLine" id="cb17-49" title="49"><span class="bu">echo</span> <span class="st">&#39;      padding: 30px 60px;&#39;</span></a>
<a class="sourceLine" id="cb17-50" title="50"><span class="bu">echo</span> <span class="st">&#39;      height: 48px;&#39;</span></a>
<a class="sourceLine" id="cb17-51" title="51"><span class="bu">echo</span> <span class="st">&#39;      text-align: center;&#39;</span></a>
<a class="sourceLine" id="cb17-52" title="52"><span class="bu">echo</span> <span class="st">&#39;      white-space: normal;&#39;</span></a>
<a class="sourceLine" id="cb17-53" title="53"><span class="bu">echo</span> <span class="st">&#39;      border-radius: 10px;&#39;</span></a>
<a class="sourceLine" id="cb17-54" title="54"><span class="bu">echo</span> <span class="st">&#39;      min-width: 45em;&#39;</span></a>
<a class="sourceLine" id="cb17-55" title="55"><span class="bu">echo</span> <span class="st">&#39;      padding: 1.2em 1em 0;&#39;</span></a>
<a class="sourceLine" id="cb17-56" title="56"><span class="bu">echo</span> <span class="st">&#39;      box-shadow: 0 0 5px;&#39;</span></a>
<a class="sourceLine" id="cb17-57" title="57"><span class="bu">echo</span> <span class="st">&#39;      margin: 1em;&#39;</span></a>
<a class="sourceLine" id="cb17-58" title="58"><span class="bu">echo</span> <span class="st">&#39;      display: grid;&#39;</span></a>
<a class="sourceLine" id="cb17-59" title="59"><span class="bu">echo</span> <span class="st">&#39;      -webkit-border-radius: 10px;&#39;</span></a>
<a class="sourceLine" id="cb17-60" title="60"><span class="bu">echo</span> <span class="st">&#39;      -moz-border-radius: 10px;&#39;</span></a>
<a class="sourceLine" id="cb17-61" title="61"><span class="bu">echo</span> <span class="st">&#39;      -ms-border-radius: 10px;&#39;</span></a>
<a class="sourceLine" id="cb17-62" title="62"><span class="bu">echo</span> <span class="st">&#39;      -o-border-radius: 10px;&#39;</span></a>
<a class="sourceLine" id="cb17-63" title="63"><span class="bu">echo</span> <span class="st">&#39;    }&#39;</span></a>
<a class="sourceLine" id="cb17-64" title="64"><span class="bu">echo</span> <span class="st">&#39;  &lt;/style&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-65" title="65">  <span class="bu">echo</span> <span class="st">&#39;&lt;/head&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-66" title="66"></a>
<a class="sourceLine" id="cb17-67" title="67">  <span class="bu">echo</span> <span class="st">&#39;&lt;body&gt;&#39;</span></a>
<a class="sourceLine" id="cb17-68" title="68"></a>
<a class="sourceLine" id="cb17-69" title="69">  <span class="bu">echo</span> <span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-70" title="70"></a>
<a class="sourceLine" id="cb17-71" title="71">  <span class="co"># continue with the HTML stuff</span></a>
<a class="sourceLine" id="cb17-72" title="72"></a>
<a class="sourceLine" id="cb17-73" title="73">  <span class="bu">echo</span> <span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-74" title="74"></a>
<a class="sourceLine" id="cb17-75" title="75">  <span class="bu">echo</span> <span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-76" title="76"></a>
<a class="sourceLine" id="cb17-77" title="77">  <span class="bu">echo</span> <span class="st">&quot;&lt;ul&gt;&quot;</span></a>
<a class="sourceLine" id="cb17-78" title="78"></a>
<a class="sourceLine" id="cb17-79" title="79">  <span class="fu">awk</span> <span class="st">&#39;{print &quot;&lt;li&gt;&lt;a href=\&quot;&quot;$1&quot;\&quot;&gt;&quot;,$1,&quot;&amp;nbsp;&lt;/a&gt;&lt;/li&gt;&quot;}&#39;</span> <span class="va">$listing</span></a>
<a class="sourceLine" id="cb17-80" title="80"></a>
<a class="sourceLine" id="cb17-81" title="81">  <span class="co"># awk &#39;{print &quot;&lt;li&gt;&quot;};</span></a>
<a class="sourceLine" id="cb17-82" title="82"></a>
<a class="sourceLine" id="cb17-83" title="83">  <span class="co">#     {print &quot; &lt;a href=\&quot;&quot;$1&quot;\&quot;&gt;&quot;,$1,&quot;&lt;/a&gt;&lt;/li&gt;&amp;nbsp;&quot;}&#39; \ $listing</span></a>
<a class="sourceLine" id="cb17-84" title="84"></a>
<a class="sourceLine" id="cb17-85" title="85">  <span class="bu">echo</span> <span class="st">&quot;&quot;</span></a>
<a class="sourceLine" id="cb17-86" title="86"></a>
<a class="sourceLine" id="cb17-87" title="87">  <span class="bu">echo</span> <span class="st">&quot;&lt;/ul&gt;&quot;</span></a>
<a class="sourceLine" id="cb17-88" title="88"></a>
<a class="sourceLine" id="cb17-89" title="89">  <span class="bu">echo</span> <span class="st">&quot;&lt;/body&gt;&quot;</span></a>
<a class="sourceLine" id="cb17-90" title="90"></a>
<a class="sourceLine" id="cb17-91" title="91">  <span class="bu">echo</span> <span class="st">&quot;&lt;/html&gt;&quot;</span></a>
<a class="sourceLine" id="cb17-92" title="92"></a>
<a class="sourceLine" id="cb17-93" title="93"><span class="kw">}</span></a>
<a class="sourceLine" id="cb17-94" title="94"></a>
<a class="sourceLine" id="cb17-95" title="95"><span class="ex">cmd</span> <span class="va">$listing</span> --sort=extension <span class="op">&gt;&gt;</span><span class="va">$html</span></a></code></pre></div>
<h1 id="filter-corrupted-git-repo-for-troublesome-file">26. Filter Corrupted Git Repo For Troublesome File:</h1>
<h3 id="description-9">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-13">code:</h6>
<div class="sourceCode" id="cb18"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb18-1" title="1"></a>
<a class="sourceLine" id="cb18-2" title="2"><span class="fu">git</span> filter-branch --index-filter <span class="st">&#39;git rm -r --cached --ignore-unmatch assets/_index.html&#39;</span> HEAD</a>
<a class="sourceLine" id="cb18-3" title="3"></a></code></pre></div>
<h1 id="remove-submodules">28. Remove Submodules:</h1>
<h3 id="description-to-remove-a-submodule-you-need-to">Description: To remove a submodule you need to:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<blockquote>
<p>Delete the relevant section from the .gitmodules file. Stage the .gitmodules changes git add .gitmodules Delete the relevant section from .git/config. Run git rm –cached path_to_submodule (no trailing slash). Run rm -rf .git/modules/path_to_submodule (no trailing slash). Commit git commit -m “Removed submodule” Delete the now untracked submodule files rm -rf path_to_submodule</p>
</blockquote>
<h6 id="code-14">code:</h6>
<div class="sourceCode" id="cb19"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb19-1" title="1"><span class="fu">git</span> submodule deinit</a></code></pre></div>
<h1 id="remove-remote-originl">30. Remove Remote OriginL</h1>
<h3 id="description-10">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-15">code:</h6>
<div class="sourceCode" id="cb20"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb20-1" title="1"></a>
<a class="sourceLine" id="cb20-2" title="2"><span class="fu">git</span> remote remove origin</a></code></pre></div>
<h1 id="undo-recent-pull-request">32. Undo recent pull request:</h1>
<h3 id="description-11">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-16">code:</h6>
<div class="sourceCode" id="cb21"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb21-1" title="1"></a>
<a class="sourceLine" id="cb21-2" title="2"><span class="fu">git</span> reset --hard master@{<span class="st">&quot;10 minutes ago&quot;</span>}</a>
<a class="sourceLine" id="cb21-3" title="3"></a></code></pre></div>
<h1 id="troubleshoot-ubuntu-inputoutput-error">34. Troubleshoot Ubuntu Input/Output Error</h1>
<h3 id="description-open-powershell-as-administrator">Description: Open Powershell as Administrator…</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-17">code:</h6>
<div class="sourceCode" id="cb22"><pre class="sourceCode ps1"><code class="sourceCode powershell"><a class="sourceLine" id="cb22-1" title="1"></a>
<a class="sourceLine" id="cb22-2" title="2"> wsl.<span class="fu">exe</span> --shutdown</a>
<a class="sourceLine" id="cb22-3" title="3"></a>
<a class="sourceLine" id="cb22-4" title="4"> <span class="fu">Get-Service</span> LxssManager | <span class="fu">Restart-Service</span></a>
<a class="sourceLine" id="cb22-5" title="5"></a></code></pre></div>
<h1 id="delete-files-in-violation-of-a-given-size-range-100mb-for-git">36. Delete files in violation of a given size range (100MB for git)</h1>
<h3 id="description-12">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-18">code:</h6>
<div class="sourceCode" id="cb23"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb23-1" title="1"></a>
<a class="sourceLine" id="cb23-2" title="2"><span class="fu">find</span> . -size +75M -a -print -a -exec rm -f {} <span class="dt">\;</span></a>
<a class="sourceLine" id="cb23-3" title="3"></a>
<a class="sourceLine" id="cb23-4" title="4"></a>
<a class="sourceLine" id="cb23-5" title="5"></a>
<a class="sourceLine" id="cb23-6" title="6"></a>
<a class="sourceLine" id="cb23-7" title="7"><span class="fu">find</span> . -size +98M -a -print -a -exec rm -f {} <span class="dt">\;</span></a></code></pre></div>
<h1 id="section-1">38.</h1>
<h3 id="description-13">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-19">code:</h6>
<div class="sourceCode" id="cb24"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb24-1" title="1"></a></code></pre></div>
<h1 id="section-2">40.</h1>
<h3 id="description-14">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-20">code:</h6>
<div class="sourceCode" id="cb25"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb25-1" title="1"></a></code></pre></div>
<h1 id="section-3">42.</h1>
<h3 id="description-15">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-21">code:</h6>
<div class="sourceCode" id="cb26"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb26-1" title="1"></a></code></pre></div>
<h1 id="section-4">44.</h1>
<h3 id="description-16">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-22">code:</h6>
<div class="sourceCode" id="cb27"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb27-1" title="1"></a></code></pre></div>
<h1 id="section-5">46.</h1>
<h3 id="description-17">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-23">code:</h6>
<div class="sourceCode" id="cb28"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb28-1" title="1"></a></code></pre></div>
<h1 id="section-6">48.</h1>
<h3 id="description-18">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-24">code:</h6>
<div class="sourceCode" id="cb29"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb29-1" title="1"></a></code></pre></div>
<h1 id="section-7">50.</h1>
<h3 id="description-19">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-25">code:</h6>
<div class="sourceCode" id="cb30"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb30-1" title="1"></a></code></pre></div>
<h1 id="section-8">52.</h1>
<h3 id="description-20">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-26">code:</h6>
<div class="sourceCode" id="cb31"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb31-1" title="1"></a></code></pre></div>
<h1 id="section-9">54.</h1>
<h3 id="description-21">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-27">code:</h6>
<div class="sourceCode" id="cb32"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb32-1" title="1"></a></code></pre></div>
<h1 id="section-10">56.</h1>
<h3 id="description-22">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-28">code:</h6>
<div class="sourceCode" id="cb33"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb33-1" title="1"></a></code></pre></div>
<h1 id="section-11">58.</h1>
<h3 id="description-23">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-29">code:</h6>
<div class="sourceCode" id="cb34"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb34-1" title="1"></a></code></pre></div>
<h1 id="section-12">60.</h1>
<h3 id="description-24">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-30">code:</h6>
<div class="sourceCode" id="cb35"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb35-1" title="1"></a></code></pre></div>
<h1 id="section-13">62.</h1>
<h3 id="description-25">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-31">code:</h6>
<div class="sourceCode" id="cb36"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb36-1" title="1"></a></code></pre></div>
<h1 id="section-14">64.</h1>
<h3 id="description-26">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-32">code:</h6>
<div class="sourceCode" id="cb37"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb37-1" title="1"></a></code></pre></div>
<h1 id="section-15">66.</h1>
<h3 id="description-27">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-33">code:</h6>
<div class="sourceCode" id="cb38"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb38-1" title="1"></a></code></pre></div>
<h1 id="section-16">68.</h1>
<h3 id="description-28">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-34">code:</h6>
<div class="sourceCode" id="cb39"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb39-1" title="1"></a></code></pre></div>
<h1 id="section-17">70.</h1>
<h3 id="description-29">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-35">code:</h6>
<div class="sourceCode" id="cb40"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb40-1" title="1"></a></code></pre></div>
<h1 id="section-18">72.</h1>
<h3 id="description-30">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-36">code:</h6>
<div class="sourceCode" id="cb41"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb41-1" title="1"></a></code></pre></div>
<h1 id="section-19">74.</h1>
<h3 id="description-31">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-37">code:</h6>
<div class="sourceCode" id="cb42"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb42-1" title="1"></a></code></pre></div>
<h1 id="section-20">76.</h1>
<h3 id="description-32">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-38">code:</h6>
<div class="sourceCode" id="cb43"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb43-1" title="1"></a></code></pre></div>
<h1 id="section-21">78.</h1>
<h3 id="description-33">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-39">code:</h6>
<div class="sourceCode" id="cb44"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb44-1" title="1"></a></code></pre></div>
<h1 id="section-22">80.</h1>
<h3 id="description-34">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-40">code:</h6>
<div class="sourceCode" id="cb45"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb45-1" title="1"></a></code></pre></div>
<h1 id="section-23">82.</h1>
<h3 id="description-35">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-41">code:</h6>
<div class="sourceCode" id="cb46"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb46-1" title="1"></a></code></pre></div>
<h1 id="section-24">84.</h1>
<h3 id="description-36">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-42">code:</h6>
<div class="sourceCode" id="cb47"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb47-1" title="1"></a></code></pre></div>
<h1 id="section-25">86.</h1>
<h3 id="description-37">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-43">code:</h6>
<div class="sourceCode" id="cb48"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb48-1" title="1"></a></code></pre></div>
<h1 id="section-26">88.</h1>
<h3 id="description-38">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-44">code:</h6>
<div class="sourceCode" id="cb49"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb49-1" title="1"></a></code></pre></div>
<h1 id="section-27">90.</h1>
<h3 id="description-39">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-45">code:</h6>
<div class="sourceCode" id="cb50"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb50-1" title="1"></a></code></pre></div>
<h1 id="return-to-bash-from-zsh">92. return to bash from zsh</h1>
<h3 id="description-40">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-46">code:</h6>
<div class="sourceCode" id="cb51"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb51-1" title="1"> <span class="fu">sudo</span> apt --purge remove zsh</a></code></pre></div>
<h1 id="auto-generate-readme">94. auto generate readme</h1>
<h3 id="description-rename-existing-readme-to-blueprint.md">Description: rename existing readme to blueprint.md</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-47">code:</h6>
<div class="sourceCode" id="cb52"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb52-1" title="1"></a>
<a class="sourceLine" id="cb52-2" title="2"><span class="ex">npx</span> @appnest/readme generate</a>
<a class="sourceLine" id="cb52-3" title="3"></a></code></pre></div>
<h1 id="url-to-subscribe-to-youtube-channel">96. URL To Subscribe To YouTube Channel</h1>
<h3 id="description-41">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-48">code:</h6>
<div class="sourceCode" id="cb53"><pre class="sourceCode txt"><code class="sourceCode default"><a class="sourceLine" id="cb53-1" title="1"></a>
<a class="sourceLine" id="cb53-2" title="2">https://www.youtube.com/channel/UC1HDa0wWnIKUf-b4yY9JecQ?sub_confirmation=1</a></code></pre></div>
<h1 id="section-28">98.</h1>
<h3 id="description-42">Description:</h3>
<blockquote>
<p>Notes:</p>
</blockquote>
<h6 id="code-49">code:</h6>
<div class="sourceCode" id="cb54"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb54-1" title="1"></a>
<a class="sourceLine" id="cb54-2" title="2"></a>
<a class="sourceLine" id="cb54-3" title="3"><span class="fu">find</span> . -name *right.html  -type f -exec sed -i <span class="st">&#39;s/target=&quot;_parent&quot;//g&#39;</span> {} <span class="ex">+</span></a>
<a class="sourceLine" id="cb54-4" title="4"></a>
<a class="sourceLine" id="cb54-5" title="5"></a>
<a class="sourceLine" id="cb54-6" title="6"><span class="fu">find</span> . -name *right.html  -type f -exec sed -i <span class="st">&#39;s/target=&quot;_parent&quot;//g&#39;</span> {} <span class="ex">+</span></a></code></pre></div>
</body>
</html>
